### Method

# Foundry ForgeManager find_by_id

since: 1.1

#### Declaration [src]

    FoundryForge*
    foundry_forge_manager_find_by_id (
      FoundryForgeManager* self,
      const char* forge_id
    )

#### Description

No description available.

Available since: 1.1

#### Parameters

`forge_id`

  Type: `const char*`

  The id of the forge.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryForge`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.